An address’s public listings
GET
/v1/address/{address}/listings
const url = 'https://api.digirare.com/v1/address/example/listings?limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.digirare.com/v1/address/example/listings?limit=50'Public address storefront. Private counteroffers are excluded.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Mainnet P2TR or P2WPKH address. The SIGNING capability: every signature is verified by reconstructing a BIP-143/BIP-341 witness sighash.
string
Query Parameters
Section titled “Query Parameters”limit
integer
cursor
string
Opaque (created_at,id) continuation token returned as next_cursor.
Responses
Section titled “Responses”Seller listing portfolio
Media typeapplication/json
object
result
required
Array
object
id
required
string
asset
required
Canonical compact Counterparty key. A subasset uses its A
string
asset_longname
string | null
seller
required
Mainnet P2TR or P2WPKH address. The SIGNING capability: every signature is verified by reconstructing a BIP-143/BIP-341 witness sighash.
string
utxo_txid
required
string
utxo_vout
required
integer
quantity_raw
required
string
price_sats
required
integer
created_at
required
integer
protocol_subtype
string | null
media_kind
string | null
collection
The asset’s primary listable collection (public storefront read only).
string | null
status
required
string
expires_at
required
integer | null
result_count
required
integer
next_cursor
required
string | null
Example
{ "result": [ { "media_kind": "image", "status": "active" } ]}